package com.lantone.qc.kernel.catalogue.firstcourserecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.FirstCourseRecordDoc;
import com.lantone.qc.pub.model.entity.Lis;
import com.lantone.qc.pub.model.entity.Pacs;
import com.lantone.qc.pub.model.label.TreatPlanLabel;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @ClassName : FIRC0503
 * @Description : 检查计划无辅检项目名称
 * @Author : 楼辉荣
 * @Date: 2020-03-06 17:28
 */
@Component
public class FIRC0503 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        FirstCourseRecordDoc firstCourseRecordDoc = inputInfo.getFirstCourseRecordDoc();
        if(firstCourseRecordDoc != null){
            TreatPlanLabel treatPlanLabel = firstCourseRecordDoc.getTreatPlanLabel();
            List<Pacs> pacs = treatPlanLabel.getPacs();
            if(pacs == null || pacs.size() == 0){
                status.set("-1");
            }

        }
    }
    }